
#pragma once

#include "ActorInterface.h"
#include "CommonType_Private.h"

typedef std::vector<GT_VOICE_ROOM_USER_DATA> roomuserlist_t;


// !
//   ݹ Ŭ ο Ǵ Ŭ̴.
class IGTWASActorEventPrivate : public IGTWASActorEvent
{
public:
	virtual bool OnGTWASActor_CommonResponse(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode) { return true; }
	virtual bool OnGTWASActor_ResponseMyPage(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode, const GT_MYPAGE_DATA &data, const GT_API_SPEC_DATA &spec, const GT_FAQ_DATA_LIST &listFAQ, NE_LEVEL_DATA_LIST &list, int nCategoryCacheSerial) { return true; }
	virtual bool OnGTWASActor_ResponseBuddyList(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode, bool bAllRecvedList, const GT_BUDDY_DATA_LIST &list) { return true; }
	virtual bool OnGTWASActor_ResponseBuddyGroupList(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode, int nDefaultGroupID, const GT_BUDDY_GROUP_DATA_LIST &list) { return true; }
	virtual bool OnGTWASActor_ResponseMemberList(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode, const NE_MEMBER_DATA_LIST &list) { return true; }
	virtual bool OnGTWASActor_ResponseUpdateBuddy(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode, const vector< pair<wstring, int> > &vecBuddy, int nNewGrpID) { return true; } 
	virtual bool OnGTWASActor_ResponseSearchBuddy(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode, bool bSuccess, GT_BUDDY_SEARCH_RESULT_DATA &data) { return true; } 
	virtual bool OnGTWASActor_ResponseNameSearchList(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode, const NE_SEARCH_MEMBER_DATA_LIST &list) { return true; }
	virtual bool OnGTWASActor_ResponseGetEmployee(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode, const NE_MEMBER_DATA_LIST &list) { return true; }
	virtual bool OnGTWASActor_ResponseGetEmployeeInfo(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode, const NE_MEMBER_DATA_LIST &list, NTRequestEmpInfoType reqEmpInfoType, int nGroupID) { return true; }
	virtual bool OnGTWASActor_ResponseAddGroup(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode, const GT_BUDDY_GROUP_DATA &data, GTBuddyAddGroupType addGroupType) { return true; } 
	virtual bool OnGTWASActor_ResponseDelGroup(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode, int nGroupID) { return true; } 
	virtual bool OnGTWASActor_ResponseUpdateGroup(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode, int nGroupID, GT_BUDDY_GROUP_UPDATABLE_DATA &data) { return true; } 
	virtual bool OnGTWASActor_ResponseUpdateGroupSortOrder(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode, vector<GT_BUDDY_GROUP_DATA> &vecBuddyGroupData) { return true; } 
	virtual bool OnGTWASActor_ResponseProfileImage(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode, GTProfileImgError eProfileError, bool bUploadFile, const GT_PROFILE_IMAGE_DATA& sData, DWORD dwUserData1, DWORD dwUserData2) { return true; }
	virtual bool OnGTWASActor_ResponseCheckClientNetwork(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode) { return true; }
};

// EOF